Last modified: 2012-04-19 21:43:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21018 - Search & Replace: Adding the word in the 'Replace with' text box to the end of the text searched.
Search & Replace: Adding the word in the 'Replace with' text box to the end o...
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-06 11:47 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-06 11:47:57 UTC
Reporting against Babaco Release.

Steps to Reproduce ::
1)Navigate to a Random page and click Edit link
2)Insert following texts in the text area.
from
frog
frot
3)Click on "Search and replace" button.
4)Check 'Treat search string as a regular expression' check box.
5)Set "fro[^ ]" to 'Search for' text box.
6)Set "Wiki" to 'Replace with' text box.
6)Click 'Replace next' button.
<<System adding the "Wiki" word to the end of the text like shown in below.
from
frog
frotWiki
>>

Expected Outcome::
System should replace the next available matching word with the "Wiki" word.

Test Environment::

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

Browser (User-Agent):	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.24 Safari/532.0

Browser (User-Agent): 	Opera/9.80 (Windows NT 6.0; U; en) Presto/2.2.15 Version/10.00

Browser (User-Agent):	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17
Comment 1 Roan Kattouw 2009-10-06 12:56:33 UTC
Fixed in r57424.
Comment 2 Calcey QA 2009-10-09 07:32:38 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links